OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_RoleAssociation Class Reference

Representation of STEP entity RoleAssociation
.

`#include <StepBasic_RoleAssociation.hxx>`

## Public Member Functions
Standard_EXPORT | StepBasic_RoleAssociation ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(StepBasic_ObjectRole)&aRole, const StepBasic_RoleSelect &aItemWithRole)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepBasic_ObjectRole | Role () const
| Returns field Role .
Standard_EXPORT void | SetRole (const Handle(StepBasic_ObjectRole)&Role)
| Set field Role .
Standard_EXPORT StepBasic_RoleSelect | ItemWithRole () const
| Returns field ItemWithRole .
Standard_EXPORT void | SetItemWithRole (const StepBasic_RoleSelect &ItemWithRole)
| Set field ItemWithRole .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepBasic_ObjectRole | theRole
StepBasic_RoleSelect | theItemWithRole

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_RoleAssociation::StepBasic_RoleAssociation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_RoleAssociation::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepBasic_RoleAssociation::Init | ( | const Handle(StepBasic_ObjectRole)& | aRole,
|  | const StepBasic_RoleSelect & | aItemWithRole
| ) |

Standard_EXPORT StepBasic_RoleSelect StepBasic_RoleAssociation::ItemWithRole | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_ObjectRole StepBasic_RoleAssociation::Role | ( |  | ) | const

Standard_EXPORT void StepBasic_RoleAssociation::SetItemWithRole | ( | const StepBasic_RoleSelect & | ItemWithRole | ) |

Standard_EXPORT void StepBasic_RoleAssociation::SetRole | ( | const Handle(StepBasic_ObjectRole)& | Role | ) |

## Field Documentation

StepBasic_RoleSelect StepBasic_RoleAssociation::theItemWithRole`[private]`

Handle_StepBasic_ObjectRole StepBasic_RoleAssociation::theRole`[private]`

The documentation for this class was generated from the following file:

- StepBasic_RoleAssociation.hxx